Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 127174 - UML Plugin Wont Activate
UML Plugin Wont Activate
Status: RESOLVED DUPLICATE of bug 122186
Product: uml
Classification: Unclassified
Component: General
6.x
PC Other
: P3 (vote)
: TBD
Assigned To: issues@uml
issues@uml
EXT-USER
:
: 130237 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-11 23:59 UTC by ccandeland
Modified: 2008-05-07 18:22 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ccandeland 2008-02-11 23:59:30 UTC
I am using Vista Premium 32. I have installed Netbeans v6 for use with java. I cannot get the UML plugin to activate. I
have removed the plugin and added it again after a reboot. I have downloaded the package which includes UML and the
package that doesn't include it and then installed it separately both give the same problem.

I am running it on an acer 5630 laptop with some Acer admin software that came with it could this be causing a conflict
or is it a known issue with vista.
Comment 1 George Vasick 2008-02-12 15:53:34 UTC
I have been running NB 6.0 with UML on Vista for several months now.  I just tried a new install of 6.0.1 this morning
and it also works fine.  In both cases, I installed the JavaSE version of NetBeans and added UML via Tools -> Plugins. 
Note, I have administrator privileges set on my account and I turn user account control off.  The plugin manager does
not work correctly with user account control turned on.

Is there an UML4 folder in you installdir?  The path will be something like C:\Program Files\NetBeans 6.0.1\uml4.

Thanks,
George
Comment 2 Peter Lam 2008-02-12 16:45:50 UTC
Check out the following FAQ for this issue.

http://wiki.netbeans.org/FaqInstallPluginVista
Comment 3 ccandeland 2008-02-12 21:46:20 UTC
Thanks for the advice I have done this. Iam now getting the following error message:

Activation failed: Not all requested modules can be enabled: [StandardModule:org.netbeans.modules.uml.kit jarFile:
C:\NetBeans 6.0.1\uml4\modules\org-netbeans-modules-uml-kit.jar]

Required modules for plugin UML to complete activation: module org.netbeans.modules.uml/1 > 1.1 module
org.netbeans.modules.uml/1 > 1.2 module org.netbeans.modules.uml/1 > 1.2.0 
Comment 4 George Vasick 2008-02-13 00:42:17 UTC
When I got myself into this situation, the only way I could get out was to completely uninstall netbeans via Control
Panel -> Programs & Features.  I also removed all netbeans related folders in my home directory, e.g. .nbi, .netbeans,
.netbeans-derby.  Then I was able to reinstall and add the uml plugin.

Let me know if this works.
Comment 5 ccandeland 2008-02-13 20:33:31 UTC
I have everything you suggested and thats fixed it thanks for your help.
Comment 6 George Vasick 2008-02-13 20:43:17 UTC
Cool!  Thanks for your perseverance.

George
Comment 7 George Vasick 2008-02-13 20:45:49 UTC

*** This issue has been marked as a duplicate of 122186 ***
Comment 8 George Vasick 2008-05-07 18:22:55 UTC
*** Issue 130237 has been marked as a duplicate of this issue. ***


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo